Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.security
Class LDAPbindSecurityManager

    java.lang.Object
      org.exist.security.LDAPSecurityManager
          org.exist.security.LDAPbindSecurityManager

All Implemented Interfaces:
  SecurityManager

public class LDAPbindSecurityManager
extends LDAPSecurityManager
implements SecurityManager

Code to use LDAP's bind to authenticate technology

Author:
  Andrew Hart

Field Summary

Fields inherited from interface org.exist.security.SecurityManager
`ACL_FILE, ACL_FILE_URI, DBA_GROUP, DBA_USER, GUEST_GROUP, GUEST_USER, SYSTEM_USER`

Constructor Summary
`LDAPbindSecurityManager()`

Method Summary
`boolean` | `bind(java.lang.String user, java.lang.String passwd)`

Methods inherited from class org.exist.security.LDAPSecurityManager
`addGroup, attach, deleteUser, deleteUser, getCollectionDefaultPerms, getGroup, getGroup, getGroups, getPDP, getResourceDefaultPerms, getUser, getUser, getUsers, hasAdminPrivileges, hasGroup, hasUser, isXACMLEnabled, setGroupByIdPattern, setGroupByNamePattern, setUser, setUserByIdPattern, setUserByNamePattern`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.exist.security.SecurityManager
`addGroup, attach, deleteUser, deleteUser, getCollectionDefaultPerms, getGroup, getGroup, getGroups, getPDP, getResourceDefaultPerms, getUser, getUser, getUsers, hasAdminPrivileges, hasGroup, hasUser, isXACMLEnabled, setUser`

Constructor Detail

### LDAPbindSecurityManager

    public LDAPbindSecurityManager()

Method Detail

### bind

    public boolean bind(java.lang.String user,
                        java.lang.String passwd)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.